package com.yidian.yac.userinfo.app

import com.yidian.common.XRouterPathConstants
import com.yidian.common.YacBaseApplication
import com.yidian.yac.userinfo.factory.UserInfoFragmentFactory
import com.yidian.yac.userinfo.ui.MineActivity
import com.yidian.xpage.XPageManager
import com.yidian.xpage.node.XPageHandler
import com.yidian.xpage.node.XPageNode
import com.yidian.xpage.node.XPageNodePageType
import com.yidian.yac.core.core.YacModuleSpec
import com.yidian.yac.core.zap.Zap

@YacModuleSpec
class UserInfoApplication: YacBaseApplication(){
    override fun onCreate() {
        super.onCreate()
        Zap.addService(XRouterPathConstants.USER_INFO, UserInfoFragmentFactory())
        XPageManager.setContainerActivity(MineActivity::class.java)
    }
}